/*
	
	
	
	Author:         Gerrit Maus
	Date:         	2016-12-23
	Version:        1.0
	Changelog:      -
*/


#include <stdint.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#include "../settings.h"
#include "time.h"
#include "battery.h"


extern volatile uint8_t led[13];
volatile uint32_t time = 0;
volatile uint8_t counter = 0;


void time_init(){
/*
	Initialises (sleep) timer.
*/
	TCCR2B |= (1 << CS20) | (1 << CS21) | (1 << CS22);
	TIMSK2 |= (1 << TOIE2);
	
	sei();
}


ISR(TIMER2_OVF_vect){

/*	PORTD |= (1 << PD7);*/
	
	
	time += WAKEPERIOD;
	++counter;
	
	if(counter == ADCPERIOD){
		
		counter = 0;
		battery_start();
	}
	
/*	PORTD &= ~(1 << PD7);*/
}


